{ lib, config, ... }:
{
  options.common.syncthing = {
    enable = lib.mkEnableOption;
  };
  #devices.*.id;
  
  config.services.syncthing = lib.mkIf config.common.syncthing.enable {
    enable = lib.mkDefault false;
    user = lib.mkDefault "willifan";
    dataDir = lib.mkDefault "/mnt/data";
    configDir = lib.mkDefault "/mnt/data/.config/syncthing";
    overrideDevices = lib.mkDefault true;
    overrideFolders = lib.mkDefault true;
    settings = {
      gui = {
        user = lib.mkDefault "willifan";
        password = lib.mkDefault "temppassword";
      };
      devices = {
        Anton = { id = "WCDBADD-UPKCACI-X2YJOIO-5QC44PL-DBCR6TS-ADVQV33-HSMF32O-FOKMKAU"; };
      };
      folders = lib.mkDefault {
        "Documents" = {
          id = "jtl6g-qjmwo";
          path = "/mnt/data/Documents";
          devices = [  ];
        };
        "Enpass" = lib.mkDefault {
          id = "ciksm-xsw4m";
          path = "/mnt/data/Enpass";
          devices = [  ];
        };
        "Pictures" = lib.mkDefault {
          id = "po4qj-q9t0t";
          path = "/mnt/data/Pictures";
          devices = [  ];
        };
        "Videos" = lib.mkDefault {
          id = "4wqf5-xasng";
          path = "/mnt/data/Videos";
          devices = [  ];
        };
        "Notes" = lib.mkDefault {
          id = "oc61n-iewgj";
          path = "/mnt/data/Notes";
          devices = [  ];
        };
        "Music" = lib.mkDefault {
          id = "xxh8a-3y2tq";
          path = "/mnt/data/Music";
          devices = [  ];
        };
      };
    };
  };
}
